Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.editor.datamodel
Class GroundPlaneData

    java.lang.Object
      de.rico.editor.datamodel.MeshData
          de.rico.editor.datamodel.GroundPlaneData

    public class GroundPlaneData

extends MeshData

Author:
  Frank Bruns

Constructor Summary
`GroundPlaneData(java.lang.String name, java.lang.String tex, Point3D pos, Point3D rot, int size, float texRep, int gridNodeSize, boolean rotate, boolean flip, boolean smooth)`

Method Summary
`int` | `getGridNodeSize()` Return the grid node size.
`int` | `getSize()` Returns the size of the ground plane.
`float` | `getTexRepeat()` Returns the texture repeat factor of the ground plane.

Methods inherited from class de.rico.editor.datamodel.MeshData
`getBoundingVolumeType, getFilePath, getName, getPosition, getRotation, getSmooth, getTexFlip, getTexPath, getTexRot, isShadowCaster`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroundPlaneData

    public GroundPlaneData(java.lang.String name,
                           java.lang.String tex,
                           Point3D pos,
                           Point3D rot,
                           int size,
                           float texRep,
                           int gridNodeSize,
                           boolean rotate,
                           boolean flip,
                           boolean smooth)

Method Detail

### getSize

    public int getSize()

  Returns the size of the ground plane.

  Returns:
    size of the ground plane

### getTexRepeat

    public float getTexRepeat()

  Returns the texture repeat factor of the ground plane.

  Returns:
    texture repeat factor of the ground plane

### getGridNodeSize

    public int getGridNodeSize()

  Return the grid node size.

  Returns:
    grid node size

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD